From: Krzysztof Helt <krzysztof.h1@wp.pl>

This patch replaces <asm/uaccess.h> with <linux/uaccess.h>
after the checkpatch.pl hint.
The include of <asm/uaccess.h> is removed if the driver
does not use it.

Signed-off-by: Krzysztof Helt <krzysztof.h1@wp.pl>

---

I haven't removed this include from drivers I couldn't
compile (sparc, ppc, hppa, others).

diff -urp linux-2.6.23.old/drivers/video/amifb.c linux-2.6.23/drivers/video/amifb.c
--- linux-2.6.23.old/drivers/video/amifb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/amifb.c	2007-08-16 09:14:22.000000000 +0200
@@ -52,7 +52,7 @@
 #include <linux/init.h>
 #include <linux/ioport.h>
 
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 #include <asm/system.h>
 #include <asm/irq.h>
 #include <asm/amigahw.h>
diff -urp linux-2.6.23.old/drivers/video/arcfb.c linux-2.6.23/drivers/video/arcfb.c
--- linux-2.6.23.old/drivers/video/arcfb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/arcfb.c	2007-08-16 09:13:49.000000000 +0200
@@ -48,7 +48,7 @@
 #include <linux/arcfb.h>
 #include <linux/platform_device.h>
 
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 #define floor8(a) (a&(~0x07))
 #define floorXres(a,xres) (a&(~(xres - 1)))
diff -urp linux-2.6.23.old/drivers/video/atafb.c linux-2.6.23/drivers/video/atafb.c
--- linux-2.6.23.old/drivers/video/atafb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/atafb.c	2007-08-16 09:14:57.000000000 +0200
@@ -58,7 +58,7 @@
 #include <linux/interrupt.h>
 
 #include <asm/setup.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 #include <asm/pgtable.h>
 #include <asm/irq.h>
 #include <asm/io.h>
diff -urp linux-2.6.23.old/drivers/video/aty/aty128fb.c linux-2.6.23/drivers/video/aty/aty128fb.c
--- linux-2.6.23.old/drivers/video/aty/aty128fb.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/aty/aty128fb.c	2007-08-16 09:15:46.000000000 +0200
@@ -56,7 +56,7 @@
 #include <linux/vmalloc.h>
 #include <linux/delay.h>
 #include <linux/interrupt.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 #include <linux/fb.h>
 #include <linux/init.h>
 #include <linux/pci.h>
diff -urp linux-2.6.23.old/drivers/video/aty/atyfb_base.c linux-2.6.23/drivers/video/aty/atyfb_base.c
--- linux-2.6.23.old/drivers/video/aty/atyfb_base.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/aty/atyfb_base.c	2007-08-16 09:17:30.000000000 +0200
@@ -68,7 +68,7 @@
 #include <linux/backlight.h>
 
 #include <asm/io.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 #include <video/mach64.h>
 #include "atyfb.h"
diff -urp linux-2.6.23.old/drivers/video/aty/mach64_cursor.c linux-2.6.23/drivers/video/aty/mach64_cursor.c
--- linux-2.6.23.old/drivers/video/aty/mach64_cursor.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/aty/mach64_cursor.c	2007-08-16 09:16:48.000000000 +0200
@@ -8,7 +8,6 @@
 #include <linux/string.h>
 
 #include <asm/io.h>
-#include <asm/uaccess.h>
 
 #ifdef __sparc__
 #include <asm/fbio.h>
diff -urp linux-2.6.23.old/drivers/video/aty/radeon_base.c linux-2.6.23/drivers/video/aty/radeon_base.c
--- linux-2.6.23.old/drivers/video/aty/radeon_base.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/aty/radeon_base.c	2007-08-16 09:16:17.000000000 +0200
@@ -69,7 +69,7 @@
 #include <linux/device.h>
 
 #include <asm/io.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 #ifdef CONFIG_PPC_OF
 
diff -urp linux-2.6.23.old/drivers/video/backlight/cr_bllcd.c linux-2.6.23/drivers/video/backlight/cr_bllcd.c
--- linux-2.6.23.old/drivers/video/backlight/cr_bllcd.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/backlight/cr_bllcd.c	2007-08-16 09:17:53.000000000 +0200
@@ -36,7 +36,6 @@
 #include <linux/backlight.h>
 #include <linux/lcd.h>
 #include <linux/pci.h>
-#include <asm/uaccess.h>
 
 /* The LVDS- and panel power controls sits on the
  * GPIO port of the ISA bridge.
diff -urp linux-2.6.23.old/drivers/video/backlight/progear_bl.c linux-2.6.23/drivers/video/backlight/progear_bl.c
--- linux-2.6.23.old/drivers/video/backlight/progear_bl.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/backlight/progear_bl.c	2007-08-16 09:23:13.000000000 +0200
@@ -23,7 +23,6 @@
 #include <linux/fb.h>
 #include <linux/backlight.h>
 #include <linux/pci.h>
-#include <asm/uaccess.h>
 
 #define PMU_LPCR               0xB0
 #define SB_MPS1                0x61
diff -urp linux-2.6.23.old/drivers/video/clps711xfb.c linux-2.6.23/drivers/video/clps711xfb.c
--- linux-2.6.23.old/drivers/video/clps711xfb.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/clps711xfb.c	2007-08-16 09:23:38.000000000 +0200
@@ -29,7 +29,7 @@
 
 #include <asm/hardware.h>
 #include <asm/mach-types.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 #include <asm/hardware/clps7111.h>
 #include <asm/arch/syspld.h>
diff -urp linux-2.6.23.old/drivers/video/console/fbcon.c linux-2.6.23/drivers/video/console/fbcon.c
--- linux-2.6.23.old/drivers/video/console/fbcon.c	2007-08-15 21:45:30.000000000 +0200
+++ linux-2.6.23/drivers/video/console/fbcon.c	2007-08-16 09:27:34.000000000 +0200
@@ -78,7 +78,6 @@
 #include <asm/fb.h>
 #include <asm/irq.h>
 #include <asm/system.h>
-#include <asm/uaccess.h>
 #ifdef CONFIG_ATARI
 #include <asm/atariints.h>
 #endif
diff -urp linux-2.6.23.old/drivers/video/console/softcursor.c linux-2.6.23/drivers/video/console/softcursor.c
--- linux-2.6.23.old/drivers/video/console/softcursor.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/console/softcursor.c	2007-08-16 09:30:13.000000000 +0200
@@ -15,7 +15,6 @@
 #include <linux/fb.h>
 #include <linux/slab.h>
 
-#include <asm/uaccess.h>
 #include <asm/io.h>
 
 #include "fbcon.h"
diff -urp linux-2.6.23.old/drivers/video/cyber2000fb.c linux-2.6.23/drivers/video/cyber2000fb.c
--- linux-2.6.23.old/drivers/video/cyber2000fb.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/cyber2000fb.c	2007-08-16 09:25:19.000000000 +0200
@@ -50,7 +50,6 @@
 #include <asm/io.h>
 #include <asm/pgtable.h>
 #include <asm/system.h>
-#include <asm/uaccess.h>
 
 #ifdef __arm__
 #include <asm/mach-types.h>
diff -urp linux-2.6.23.old/drivers/video/epson1355fb.c linux-2.6.23/drivers/video/epson1355fb.c
--- linux-2.6.23.old/drivers/video/epson1355fb.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/epson1355fb.c	2007-08-16 10:48:31.000000000 +0200
@@ -57,7 +57,7 @@
 
 #include <asm/types.h>
 #include <asm/io.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 #include <video/epson1355.h>
 
diff -urp linux-2.6.23.old/drivers/video/fb_defio.c linux-2.6.23/drivers/video/fb_defio.c
--- linux-2.6.23.old/drivers/video/fb_defio.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/fb_defio.c	2007-08-16 09:25:46.000000000 +0200
@@ -19,7 +19,6 @@
 #include <linux/interrupt.h>
 #include <linux/fb.h>
 #include <linux/list.h>
-#include <asm/uaccess.h>
 
 /* to support deferred IO */
 #include <linux/rmap.h>
diff -urp linux-2.6.23.old/drivers/video/fb_sys_fops.c linux-2.6.23/drivers/video/fb_sys_fops.c
--- linux-2.6.23.old/drivers/video/fb_sys_fops.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/fb_sys_fops.c	2007-08-16 09:26:23.000000000 +0200
@@ -11,7 +11,7 @@
  */
 #include <linux/fb.h>
 #include <linux/module.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 ssize_t fb_sys_read(struct fb_info *info, char __user *buf, size_t count,
 		    loff_t *ppos)
diff -urp linux-2.6.23.old/drivers/video/fbcmap.c linux-2.6.23/drivers/video/fbcmap.c
--- linux-2.6.23.old/drivers/video/fbcmap.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/fbcmap.c	2007-08-16 09:29:02.000000000 +0200
@@ -15,8 +15,7 @@
 #include <linux/module.h>
 #include <linux/fb.h>
 #include <linux/slab.h>
-
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 static u16 red2[] __read_mostly = {
     0x0000, 0xaaaa
diff -urp linux-2.6.23.old/drivers/video/hecubafb.c linux-2.6.23/drivers/video/hecubafb.c
--- linux-2.6.23.old/drivers/video/hecubafb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/hecubafb.c	2007-08-16 09:25:05.000000000 +0200
@@ -45,7 +45,7 @@
 #include <linux/init.h>
 #include <linux/platform_device.h>
 #include <linux/list.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 /* Apollo controller specific defines */
 #define APOLLO_START_NEW_IMG	0xA0
diff -urp linux-2.6.23.old/drivers/video/imsttfb.c linux-2.6.23/drivers/video/imsttfb.c
--- linux-2.6.23.old/drivers/video/imsttfb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/imsttfb.c	2007-08-16 09:27:02.000000000 +0200
@@ -29,7 +29,7 @@
 #include <linux/init.h>
 #include <linux/pci.h>
 #include <asm/io.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 #if defined(CONFIG_PPC)
 #include <linux/nvram.h>
diff -urp linux-2.6.23.old/drivers/video/imxfb.c linux-2.6.23/drivers/video/imxfb.c
--- linux-2.6.23.old/drivers/video/imxfb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/imxfb.c	2007-08-16 10:51:00.000000000 +0200
@@ -34,7 +34,6 @@
 
 #include <asm/hardware.h>
 #include <asm/io.h>
-#include <asm/uaccess.h>
 #include <asm/arch/imxfb.h>
 
 /*
diff -urp linux-2.6.23.old/drivers/video/kyro/fbdev.c linux-2.6.23/drivers/video/kyro/fbdev.c
--- linux-2.6.23.old/drivers/video/kyro/fbdev.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/kyro/fbdev.c	2007-08-16 09:12:40.000000000 +0200
@@ -21,7 +21,7 @@
 #include <linux/init.h>
 #include <linux/pci.h>
 #include <asm/io.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 #ifdef CONFIG_MTRR
 #include <asm/mtrr.h>
 #endif
diff -urp linux-2.6.23.old/drivers/video/matrox/matroxfb_base.c linux-2.6.23/drivers/video/matrox/matroxfb_base.c
--- linux-2.6.23.old/drivers/video/matrox/matroxfb_base.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/matrox/matroxfb_base.c	2007-08-16 09:09:15.000000000 +0200
@@ -113,7 +113,7 @@
 #include "matroxfb_g450.h"
 #include <linux/matroxfb.h>
 #include <linux/interrupt.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 #ifdef CONFIG_PPC_PMAC
 #include <asm/machdep.h>
diff -urp linux-2.6.23.old/drivers/video/matrox/matroxfb_crtc2.c linux-2.6.23/drivers/video/matrox/matroxfb_crtc2.c
--- linux-2.6.23.old/drivers/video/matrox/matroxfb_crtc2.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/matrox/matroxfb_crtc2.c	2007-08-16 09:11:03.000000000 +0200
@@ -15,7 +15,7 @@
 #include "matroxfb_misc.h"
 #include "matroxfb_DAC1064.h"
 #include <linux/matroxfb.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 
 /* **************************************************** */
 
diff -urp linux-2.6.23.old/drivers/video/matrox/matroxfb_g450.c linux-2.6.23/drivers/video/matrox/matroxfb_g450.c
--- linux-2.6.23.old/drivers/video/matrox/matroxfb_g450.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/matrox/matroxfb_g450.c	2007-08-16 09:08:46.000000000 +0200
@@ -17,7 +17,6 @@
 #include "matroxfb_DAC1064.h"
 #include "g450_pll.h"
 #include <linux/matroxfb.h>
-#include <asm/uaccess.h>
 #include <asm/div64.h>
 
 #include "matroxfb_g450.h"
diff -urp linux-2.6.23.old/drivers/video/matrox/matroxfb_maven.c linux-2.6.23/drivers/video/matrox/matroxfb_maven.c
--- linux-2.6.23.old/drivers/video/matrox/matroxfb_maven.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/matrox/matroxfb_maven.c	2007-08-16 09:08:27.000000000 +0200
@@ -18,7 +18,6 @@
 #include <linux/i2c.h>
 #include <linux/matroxfb.h>
 #include <asm/div64.h>
-#include <asm/uaccess.h>
 
 #define MAVEN_I2CID	(0x1B)
 
diff -urp linux-2.6.23.old/drivers/video/neofb.c linux-2.6.23/drivers/video/neofb.c
--- linux-2.6.23.old/drivers/video/neofb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/neofb.c	2007-08-16 09:04:00.000000000 +0200
@@ -72,7 +72,6 @@
 #include <asm/irq.h>
 #include <asm/pgtable.h>
 #include <asm/system.h>
-#include <asm/uaccess.h>
 
 #ifdef CONFIG_MTRR
 #include <asm/mtrr.h>
diff -urp linux-2.6.23.old/drivers/video/pnx4008/pnxrgbfb.c linux-2.6.23/drivers/video/pnx4008/pnxrgbfb.c
--- linux-2.6.23.old/drivers/video/pnx4008/pnxrgbfb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/pnx4008/pnxrgbfb.c	2007-08-16 11:39:56.000000000 +0200
@@ -26,7 +26,6 @@
 #include <linux/init.h>
 #include <linux/platform_device.h>
 
-#include <asm/uaccess.h>
 #include "sdum.h"
 #include "fbcommon.h"
 
diff -urp linux-2.6.23.old/drivers/video/ps3fb.c linux-2.6.23/drivers/video/ps3fb.c
--- linux-2.6.23.old/drivers/video/ps3fb.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/ps3fb.c	2007-08-16 09:03:28.000000000 +0200
@@ -34,7 +34,7 @@
 #include <linux/kthread.h>
 #include <linux/freezer.h>
 
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 #include <linux/fb.h>
 #include <linux/init.h>
 #include <asm/time.h>
diff -urp linux-2.6.23.old/drivers/video/pvr2fb.c linux-2.6.23/drivers/video/pvr2fb.c
--- linux-2.6.23.old/drivers/video/pvr2fb.c	2007-08-15 21:45:30.000000000 +0200
+++ linux-2.6.23/drivers/video/pvr2fb.c	2007-08-16 09:02:51.000000000 +0200
@@ -72,7 +72,7 @@
 #endif
 
 #ifdef CONFIG_SH_STORE_QUEUES
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 #include <asm/cpu/sq.h>
 #endif
 
diff -urp linux-2.6.23.old/drivers/video/pxafb.c linux-2.6.23/drivers/video/pxafb.c
--- linux-2.6.23.old/drivers/video/pxafb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/pxafb.c	2007-08-16 10:50:39.000000000 +0200
@@ -41,7 +41,6 @@
 #include <asm/hardware.h>
 #include <asm/io.h>
 #include <asm/irq.h>
-#include <asm/uaccess.h>
 #include <asm/div64.h>
 #include <asm/arch/pxa-regs.h>
 #include <asm/arch/bitfield.h>
diff -urp linux-2.6.23.old/drivers/video/sa1100fb.c linux-2.6.23/drivers/video/sa1100fb.c
--- linux-2.6.23.old/drivers/video/sa1100fb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/sa1100fb.c	2007-08-16 10:48:04.000000000 +0200
@@ -178,7 +178,6 @@
 #include <asm/hardware.h>
 #include <asm/io.h>
 #include <asm/mach-types.h>
-#include <asm/uaccess.h>
 #include <asm/arch/assabet.h>
 #include <asm/arch/shannon.h>
 
diff -urp linux-2.6.23.old/drivers/video/savage/savagefb_driver.c linux-2.6.23/drivers/video/savage/savagefb_driver.c
--- linux-2.6.23.old/drivers/video/savage/savagefb_driver.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/savage/savagefb_driver.c	2007-08-16 09:01:03.000000000 +0200
@@ -57,7 +57,6 @@
 #include <asm/irq.h>
 #include <asm/pgtable.h>
 #include <asm/system.h>
-#include <asm/uaccess.h>
 
 #ifdef CONFIG_MTRR
 #include <asm/mtrr.h>
diff -urp linux-2.6.23.old/drivers/video/sis/sis_main.c linux-2.6.23/drivers/video/sis/sis_main.c
--- linux-2.6.23.old/drivers/video/sis/sis_main.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/sis/sis_main.c	2007-08-16 09:00:29.000000000 +0200
@@ -58,7 +58,7 @@
 #include <linux/capability.h>
 #include <linux/fs.h>
 #include <linux/types.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 #include <asm/io.h>
 #ifdef CONFIG_MTRR
 #include <asm/mtrr.h>
diff -urp linux-2.6.23.old/drivers/video/sstfb.c linux-2.6.23/drivers/video/sstfb.c
--- linux-2.6.23.old/drivers/video/sstfb.c	2007-08-15 21:44:50.000000000 +0200
+++ linux-2.6.23/drivers/video/sstfb.c	2007-08-16 08:53:48.000000000 +0200
@@ -88,7 +88,7 @@
 #include <linux/init.h>
 #include <linux/slab.h>
 #include <asm/io.h>
-#include <asm/uaccess.h>
+#include <linux/uaccess.h>
 #include <video/sstfb.h>
 
 
diff -urp linux-2.6.23.old/drivers/video/vermilion/vermilion.c linux-2.6.23/drivers/video/vermilion/vermilion.c
--- linux-2.6.23.old/drivers/video/vermilion/vermilion.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/vermilion/vermilion.c	2007-08-16 08:55:34.000000000 +0200
@@ -39,7 +39,6 @@
 #include <asm/cacheflush.h>
 #include <asm/tlbflush.h>
 #include <linux/mmzone.h>
-#include <asm/uaccess.h>
 
 /* #define VERMILION_DEBUG */
 
diff -urp linux-2.6.23.old/drivers/video/vfb.c linux-2.6.23/drivers/video/vfb.c
--- linux-2.6.23.old/drivers/video/vfb.c	2007-07-09 01:32:16.000000000 +0200
+++ linux-2.6.23/drivers/video/vfb.c	2007-08-16 08:44:08.000000000 +0200
@@ -21,7 +21,6 @@
 #include <linux/interrupt.h>
 #include <linux/platform_device.h>
 
-#include <asm/uaccess.h>
 #include <linux/fb.h>
 #include <linux/init.h>
 
